Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4012)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4013)
@@ -6540,33 +6540,33 @@
 ( 576 -164 164 ) ( 576 -153 154 ) ( 576 -153 164 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 585 42 153 ) ( 562 31 153 ) ( 585 31 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 562 -304 130 ) ( 585 -304 140 ) ( 585 -304 130 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 561 -49 130 ) ( 584 -49 140 ) ( 584 -49 130 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 ( 578 -14 163 ) ( 578 -3 153 ) ( 578 -14 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 }
 // brush 700
 {
-( 579 -232 153 ) ( 556 -243 153 ) ( 556 -232 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 556 -243 130 ) ( 579 -243 140 ) ( 556 -243 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 576 -245 163 ) ( 576 -234 153 ) ( 576 -234 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 579 -233 129 ) ( 556 -244 129 ) ( 579 -244 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 561 -245 129 ) ( 584 -245 139 ) ( 584 -245 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 578 -244 139 ) ( 578 -233 129 ) ( 578 -244 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 615 -195 153 ) ( 592 -206 153 ) ( 592 -195 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 592 -206 130 ) ( 615 -206 140 ) ( 592 -206 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 612 -208 163 ) ( 612 -197 153 ) ( 612 -197 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 615 -196 129 ) ( 592 -207 129 ) ( 615 -207 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 597 -208 129 ) ( 620 -208 139 ) ( 620 -208 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 614 -207 139 ) ( 614 -196 129 ) ( 614 -207 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 }
 // brush 701
 {
-( 579 -150 153 ) ( 556 -161 153 ) ( 556 -150 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 556 -161 130 ) ( 579 -161 140 ) ( 556 -161 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 576 -163 163 ) ( 576 -152 153 ) ( 576 -152 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 579 -151 129 ) ( 556 -162 129 ) ( 579 -162 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 561 -163 129 ) ( 584 -163 139 ) ( 584 -163 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 578 -162 139 ) ( 578 -151 129 ) ( 578 -162 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 615 -113 153 ) ( 592 -124 153 ) ( 592 -113 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 592 -124 130 ) ( 615 -124 140 ) ( 592 -124 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 612 -126 163 ) ( 612 -115 153 ) ( 612 -115 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 615 -114 129 ) ( 592 -125 129 ) ( 615 -125 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 597 -126 129 ) ( 620 -126 139 ) ( 620 -126 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 614 -125 139 ) ( 614 -114 129 ) ( 614 -125 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 }
 // brush 702
 {
-( 579 -71 153 ) ( 556 -82 153 ) ( 556 -71 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 556 -82 130 ) ( 579 -82 140 ) ( 556 -82 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 576 -84 163 ) ( 576 -73 153 ) ( 576 -73 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 579 -72 129 ) ( 556 -83 129 ) ( 579 -83 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 561 -84 129 ) ( 584 -84 139 ) ( 584 -84 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
-( 578 -83 139 ) ( 578 -72 129 ) ( 578 -83 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 579 -36 153 ) ( 556 -47 153 ) ( 556 -36 153 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 556 -47 130 ) ( 579 -47 140 ) ( 556 -47 140 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 576 -49 163 ) ( 576 -38 153 ) ( 576 -38 163 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 579 -37 129 ) ( 556 -48 129 ) ( 579 -48 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 561 -49 129 ) ( 584 -49 139 ) ( 584 -49 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
+( 578 -48 139 ) ( 578 -37 129 ) ( 578 -48 129 ) base_trim/dirty_pewter_big 0 0 0 0.200000003 0.200000003 0 0 0
 }
 // brush 703
@@ -6626,28 +6626,28 @@
 // brush 709
 {
-( 579 -234 153 ) ( 556 -245 153 ) ( 556 -234 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 556 -245 130 ) ( 579 -245 140 ) ( 556 -245 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 577 -247 163 ) ( 577 -236 153 ) ( 577 -236 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
-( 579 -235 129 ) ( 556 -246 129 ) ( 579 -246 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 562 -304 129 ) ( 585 -304 139 ) ( 585 -304 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 578 -246 139 ) ( 578 -235 129 ) ( 578 -246 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 616 -196 153 ) ( 593 -207 153 ) ( 593 -196 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 593 -207 130 ) ( 616 -207 140 ) ( 593 -207 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 614 -209 163 ) ( 614 -198 153 ) ( 614 -198 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 616 -197 129 ) ( 593 -208 129 ) ( 616 -208 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 599 -266 129 ) ( 622 -266 139 ) ( 622 -266 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 615 -208 139 ) ( 615 -197 129 ) ( 615 -208 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
 // brush 710
 {
-( 579 -173 153 ) ( 556 -184 153 ) ( 556 -173 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 557 -163 130 ) ( 580 -163 140 ) ( 557 -163 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 577 -186 163 ) ( 577 -175 153 ) ( 577 -175 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
-( 579 -174 129 ) ( 556 -185 129 ) ( 579 -185 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 562 -243 129 ) ( 585 -243 139 ) ( 585 -243 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 578 -185 139 ) ( 578 -174 129 ) ( 578 -185 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 615 -136 153 ) ( 592 -147 153 ) ( 592 -136 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 593 -126 130 ) ( 616 -126 140 ) ( 593 -126 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 613 -149 163 ) ( 613 -138 153 ) ( 613 -138 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 615 -137 129 ) ( 592 -148 129 ) ( 615 -148 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 598 -206 129 ) ( 621 -206 139 ) ( 621 -206 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 614 -148 139 ) ( 614 -137 129 ) ( 614 -148 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
 // brush 711
 {
-( 579 -91 153 ) ( 556 -102 153 ) ( 556 -91 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 556 -84 130 ) ( 579 -84 140 ) ( 556 -84 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 577 -104 163 ) ( 577 -93 153 ) ( 577 -93 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
-( 579 -92 129 ) ( 556 -103 129 ) ( 579 -103 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 562 -161 129 ) ( 585 -161 139 ) ( 585 -161 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 578 -103 139 ) ( 578 -92 129 ) ( 578 -103 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 615 -54 153 ) ( 592 -65 153 ) ( 592 -54 153 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 592 -47 130 ) ( 615 -47 140 ) ( 592 -47 140 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 613 -67 163 ) ( 613 -56 153 ) ( 613 -56 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
+( 615 -55 129 ) ( 592 -66 129 ) ( 615 -66 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 598 -124 129 ) ( 621 -124 139 ) ( 621 -124 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 614 -66 139 ) ( 614 -55 129 ) ( 614 -66 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
 // brush 712
@@ -6657,5 +6657,5 @@
 ( 577 -25 163 ) ( 577 -14 153 ) ( 577 -14 163 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 ( 579 -13 129 ) ( 556 -24 129 ) ( 579 -24 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
-( 562 -82 129 ) ( 585 -82 139 ) ( 585 -82 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
+( 561 -47 129 ) ( 584 -47 139 ) ( 584 -47 129 ) effects/invismap 0 0 0 0.200000003 0.200000003 0 0 0
 ( 578 -24 139 ) ( 578 -13 129 ) ( 578 -24 129 ) base_trim/proto_fence 0 0 0 0.0500000007 0.0500000007 0 0 0
 }
@@ -8342,5 +8342,5 @@
 ( 713 -73 129 ) ( 713 -73 121 ) ( 713 -289 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 ( 616 -278 121 ) ( 696 -278 121 ) ( 616 -62 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
-( 615 -368 121 ) ( 615 -368 129 ) ( 695 -368 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 612 -49 121 ) ( 612 -49 129 ) ( 692 -49 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 ( 576 -278 121 ) ( 576 -62 121 ) ( 576 -278 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
 }
@@ -8489,4 +8489,22 @@
 ( 576 -752 22 ) ( 576 40 22 ) ( 576 -752 110 ) base_wall/basewall03 0 78.393951416 0 0.3000000119 0.3300000131 0 0 0
 }
+// brush 908
+{
+( 733 -286 129 ) ( 733 -502 129 ) ( 653 -286 129 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 809 -49 129 ) ( 729 -49 129 ) ( 809 -49 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 713 -300 129 ) ( 713 -300 121 ) ( 713 -516 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 653 -502 121 ) ( 733 -502 121 ) ( 653 -286 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 625 -270 121 ) ( 625 -270 129 ) ( 705 -270 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 613 -502 121 ) ( 613 -286 121 ) ( 613 -502 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+}
+// brush 909
+{
+( 696 -459 129 ) ( 696 -675 129 ) ( 616 -459 129 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 768 -270 129 ) ( 688 -270 129 ) ( 768 -270 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 713 -470 129 ) ( 713 -470 121 ) ( 713 -686 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 616 -675 121 ) ( 696 -675 121 ) ( 616 -459 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 610 -368 121 ) ( 610 -368 129 ) ( 690 -368 121 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+( 576 -675 121 ) ( 576 -459 121 ) ( 576 -675 129 ) base_floor/clang_floor3b 0 0 0 0.5 0.5 0 0 0
+}
 }
 // entity 1