Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4013)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4015)
@@ -256,4 +256,6 @@
   AnimationPlayer::getInstance(); // initializes the animationPlayer
 
+  this->localCamera = new Camera();
+  this->localCamera->setName ("camera");
 }
 
@@ -337,5 +339,5 @@
 	  //todo do this more elegant 
 	  if( element->Value() != NULL && !strcmp( element->Value(), "Player")) localPlayer = (Player*) created;
-	  if( element->Value() != NULL && !strcmp( element->Value(), "SkyBox")) skyBox = (SkyBox*) created;
+	  if( element->Value() != NULL && !strcmp( element->Value(), "SkyBox")) sky = (SkyBox*) created;
 	  element = element->NextSiblingElement();
 	}
@@ -360,21 +362,7 @@
   
   // free the XML data
+
   delete XMLDoc;
-  
-  // finalize world
-  // initialize Font
-//  testFont = new FontSet();
-//  testFont->buildFont("../data/pictures/font.tga");
-  
-  // create null parent
-  this->nullParent = NullParent::getInstance ();
-  this->nullParent->setName ("NullParent");
-  
-  // finalize myPlayer
-  if( localPlayer == NULL)
-    {
-      PRINTF0("No Player specified in World '%s'\n", this->worldName);
-      return (ErrorMessage){213,"No Player defined","World::load()"};
-    }
+  /* GENERIC LOADING PROCESS FINISHED */
   
   // bind input
@@ -383,6 +371,4 @@
   
   // bind camera
-  this->localCamera = new Camera();
-  this->localCamera->setName ("camera");
   //this->localCamera->bind (localPlayer);
   this->localPlayer->addChild (this->localCamera);
@@ -450,6 +436,4 @@
 
       
-  // LIGHT initialisation
-  lightMan = LightManager::getInstance();
   lightMan->setAmbientColor(.1,.1,.1);
   lightMan->addLight();
@@ -473,4 +457,5 @@
   trackManager->condition(2, LEFTRIGHT, this->localPlayer);
   
+  this->sky->setParent(this->localCamera);
 
   // initialize debug coord system
@@ -541,13 +526,8 @@
 	this->glmis->step();
 
-	// Create SkySphere
-	//	    this->skySphere = new Skysphere("../data/pictures/sky-replace.jpg");
-	//	    this->skySphere->setName("SkySphere");
-	//	    this->localCamera->addChild(this->skySphere);
-	//	    this->spawn(this->skySphere);
-	skyBox = new SkyBox();
-	skyBox->setTexture("pictures/sky/skybox", "jpg");
-	skyBox->setParent(localCamera);
-	this->spawn(skyBox);
+	sky = new SkyBox();
+	//	(SkyBox*)(sky)->setTexture("pictures/sky/skybox", "jpg");
+	sky->setParent(localCamera);
+	this->spawn(sky);
 
 	/*monitor progress*/
@@ -610,7 +590,7 @@
 
 	// Create SkySphere
-	skySphere = new Skysphere("../data/pictures/sky-replace.jpg");
-	this->localPlayer->addChild(this->skySphere);
-	this->spawn(this->skySphere);
+	sky = new Skysphere("../data/pictures/sky-replace.jpg");
+	this->localPlayer->addChild(this->sky);
+	this->spawn(this->sky);
 	Vector* es = new Vector (20, 0, 0);
 	Quaternion* qs = new Quaternion ();
@@ -655,9 +635,9 @@
 
 	// Create SkySphere
-	this->skySphere = new Skysphere("../data/pictures/sky-replace.jpg");
-	this->skySphere->setName("SkySphere");
-	this->spawn(this->skySphere);
-	this->localCamera->addChild(this->skySphere);
-	this->skySphere->setMode(PNODE_MOVEMENT);
+	this->sky = new Skysphere("../data/pictures/sky-replace.jpg");
+	this->sky->setName("SkySphere");
+	this->spawn(this->sky);
+	this->localCamera->addChild(this->sky);
+	this->sky->setMode(PNODE_MOVEMENT);
 	/*monitor progress*/
 	this->glmis->step();
Index: orxonox/trunk/src/story_entities/world.h
===================================================================
--- orxonox/trunk/src/story_entities/world.h	(revision 4013)
+++ orxonox/trunk/src/story_entities/world.h	(revision 4015)
@@ -19,6 +19,4 @@
 class PNode;
 class GLMenuImageScreen;
-class Skysphere;
-class SkyBox;
 class LightManager;
 class Terrain;
@@ -110,6 +108,5 @@
   TrackManager* trackManager;         //!< The reference of the TrackManager that handles the course through the Level.
   Camera* localCamera;                //!< The current Camera
-  Skysphere* skySphere;               //!< The Environmental Heaven of orxonox \todo insert this to environment insted
-  SkyBox* skyBox;
+  WorldEntity* sky;                   //!< The Environmental Heaven of orxonox \todo insert this to environment insted
   LightManager* lightMan;             //!< The Lights of the Level
   Terrain* terrain;                   //!< The Terrain of the World.