Index: orxonox/branches/heightMap/src/game_loader.cc
===================================================================
--- orxonox/branches/heightMap/src/game_loader.cc	(revision 3919)
+++ orxonox/branches/heightMap/src/game_loader.cc	(revision 4021)
@@ -96,4 +96,5 @@
 	Campaign* debugCampaign = new Campaign();
 
+/*
 	World* world0 = new World(DEBUG_WORLD_0);
 	world0->setNextStoryID(WORLD_ID_1);
@@ -105,6 +106,10 @@
 
 	World* world2 = new World(DEBUG_WORLD_2);
-	world2->setNextStoryID(WORLD_ID_GAMEEND);
+	world2->setNextStoryID(WORLD_ID_3);
 	debugCampaign->addEntity(world2, WORLD_ID_2);
+*/
+	World* world3 = new World(DEBUG_WORLD_3);
+	world3->setNextStoryID(WORLD_ID_GAMEEND);
+	debugCampaign->addEntity(world3, WORLD_ID_0);
 
 	this->currentCampaign = debugCampaign;
Index: orxonox/branches/heightMap/src/lib/graphics/importer/heightmap.h
===================================================================
--- orxonox/branches/heightMap/src/lib/graphics/importer/heightmap.h	(revision 4021)
+++ orxonox/branches/heightMap/src/lib/graphics/importer/heightmap.h	(revision 4021)
@@ -0,0 +1,11 @@
+#include "model.h"
+
+class Heightmap : public Model
+{
+
+
+
+
+
+
+}
Index: orxonox/branches/heightMap/src/story_entities/story_def.h
===================================================================
--- orxonox/branches/heightMap/src/story_entities/story_def.h	(revision 3919)
+++ orxonox/branches/heightMap/src/story_entities/story_def.h	(revision 4021)
@@ -11,4 +11,6 @@
 #define DEBUG_WORLD_1 101
 #define DEBUG_WORLD_2 102
+#define DEBUG_WORLD_3 103
+
 
 #define WORLD_ID_0 0
Index: orxonox/branches/heightMap/src/story_entities/world.cc
===================================================================
--- orxonox/branches/heightMap/src/story_entities/world.cc	(revision 3919)
+++ orxonox/branches/heightMap/src/story_entities/world.cc	(revision 4021)
@@ -543,8 +543,73 @@
 
 	    break;
+	    }
+	    
+	case DEBUG_WORLD_3:
+	  {
+	    lightMan->setPosition(-5.0, 10.0, -40.0);
+	    this->nullParent = NullParent::getInstance ();
+	    this->nullParent->setName ("NullParent");
+
+	    // !\todo old track-system has to be removed
+
+	    //create helper for player
+	    //HelperParent* hp = new HelperParent ();
+	    /* the player has to be added to this helper */
+
+	    // create a player
+	    this->localPlayer = new Player ();
+	    this->localPlayer->setName ("player");
+	    this->spawn (this->localPlayer);
+	    /*monitor progress*/
+	    //this->glmis->step();
+	    this->glmis->step();
+
+	    // bind input
+	    Orxonox *orx = Orxonox::getInstance ();
+	    orx->getLocalInput()->bind (this->localPlayer);
+	    
+	    // bind camera
+	    this->localCamera = new Camera();
+	    this->localCamera->setName ("camera");
+	    
+	    /*monitor progress*/
+	    this->glmis->step();
+
+	    // Create SkySphere
+	    skyBox = new SkyBox();
+	    skyBox->setTexture("pictures/sky/skybox", "jpg");
+	    skyBox->setParent(localCamera);
+	    this->spawn(skyBox);
+
+	    /*monitor progress*/
+	    this->glmis->step();
+
+	    //WorldEntity* env = new Environment();
+	    //env->setName ("env");
+	    //this->spawn(env);
+
+	    /*monitor progress*/
+	    this->glmis->step();
+
+	    // trackManager->setBindSlave(env);
+	    PNode* tn = trackManager->getTrackNode();
+	    tn->addChild(this->localPlayer);
+	    this->localCamera->lookAt(tn);
+
+	    //localCamera->setParent(TrackNode::getInstance());
+	    tn->addChild(this->localCamera);
+	    //	    localCamera->lookAt(tn);
+	    this->localPlayer->setMode(PNODE_ALL);
+	    //Vector* cameraOffset = new Vector (0, 5, -10);
+	    trackManager->condition(2, LEFTRIGHT, this->localPlayer);
+	    this->glmis->step();
+	    break;
 	  }
+
+
 	default:
 	  printf("World::load() - no world with ID %i found", this->debugWorldNr );
 	}
+	
     }
   else if(this->worldName != NULL)
@@ -561,5 +626,5 @@
   glEndList();
 
-  terrain = new Terrain("../data/worlds/newGround.obj");
+  terrain = new Terrain("../data/pictures/heightmapHello.bmp");
   terrain->setRelCoor(Vector(0,-10,0));
   this->spawn(terrain);
Index: orxonox/branches/heightMap/src/world_entities/terrain.cc
===================================================================
--- orxonox/branches/heightMap/src/world_entities/terrain.cc	(revision 3919)
+++ orxonox/branches/heightMap/src/world_entities/terrain.cc	(revision 4021)
@@ -45,9 +45,15 @@
   if (strstr(fileName, ".obj") || strstr(fileName, ".OBJ"))
     {
+      // the obj case
       this->model = (Model*)ResourceManager::getInstance()->load(fileName, OBJ, RP_LEVEL);
     }
+  else if (strstr(fileName, ".bmp") || strstr(fileName, ".BMP"))
+    {
+      // the heightmap case
+      this->model = (Heightmap*)ResourceManager::getInstance()->load(fileName, BMP, RP_LEVEL);
+    }
   else
     {
-      // load the hightMap here.
+      // nor .obj nor .bmp
     }
 }