Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4022)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4023)
@@ -8695,4 +8695,82 @@
 ( 548 243 147 ) ( 548 245 147 ) ( 548 243 152 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
 }
+// brush 929
+{
+( 435 377 148 ) ( 515 593 148 ) ( 515 377 148 ) base_trim/dirty_pewter 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 627 315 128 ) ( 547 315 136 ) ( 627 315 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 607 136 ) ( 524 391 128 ) ( 524 391 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 433 377 132 ) ( 513 593 132 ) ( 433 593 132 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 478 331 128 ) ( 398 331 136 ) ( 398 331 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 599 136 ) ( 508 383 128 ) ( 508 599 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 327 -57 ) ( 512 331 -57 ) ( 508 327 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 520 331 -57 ) ( 524 327 -57 ) ( 520 331 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 319 -57 ) ( 520 315 -57 ) ( 524 319 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 512 315 -57 ) ( 508 319 -57 ) ( 512 315 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 587 139 ) ( 513 587 148 ) ( 508 459 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 519 587 148 ) ( 524 587 139 ) ( 519 459 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -76 315 139 ) ( -76 320 148 ) ( 52 315 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -76 326 148 ) ( -76 331 139 ) ( 52 326 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+}
+// brush 930
+{
+( 525 324 221 ) ( 525 322 221 ) ( 509 324 221 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 324 153 ) ( 508 324 153 ) ( 524 324 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 517 324 147 ) ( 517 324 142 ) ( 517 322 147 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 322 148 ) ( 524 322 148 ) ( 508 324 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 501 322 148 ) ( 501 322 153 ) ( 517 322 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 515 322 147 ) ( 515 324 147 ) ( 515 322 152 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+}
+// brush 931
+{
+( 435 462 148 ) ( 515 678 148 ) ( 515 462 148 ) base_trim/dirty_pewter 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 627 400 128 ) ( 547 400 136 ) ( 627 400 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 692 136 ) ( 524 476 128 ) ( 524 476 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 433 462 132 ) ( 513 678 132 ) ( 433 678 132 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 478 416 128 ) ( 398 416 136 ) ( 398 416 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 684 136 ) ( 508 468 128 ) ( 508 684 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 412 -57 ) ( 512 416 -57 ) ( 508 412 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 520 416 -57 ) ( 524 412 -57 ) ( 520 416 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 404 -57 ) ( 520 400 -57 ) ( 524 404 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 512 400 -57 ) ( 508 404 -57 ) ( 512 400 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 672 139 ) ( 513 672 148 ) ( 508 544 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 519 672 148 ) ( 524 672 139 ) ( 519 544 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -76 400 139 ) ( -76 405 148 ) ( 52 400 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -76 411 148 ) ( -76 416 139 ) ( 52 411 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+}
+// brush 932
+{
+( 525 409 221 ) ( 525 407 221 ) ( 509 409 221 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 409 153 ) ( 508 409 153 ) ( 524 409 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 517 409 147 ) ( 517 409 142 ) ( 517 407 147 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 407 148 ) ( 524 407 148 ) ( 508 409 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 501 407 148 ) ( 501 407 153 ) ( 517 407 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 515 407 147 ) ( 515 409 147 ) ( 515 407 152 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+}
+// brush 933
+{
+( 435 572 148 ) ( 515 788 148 ) ( 515 572 148 ) base_trim/dirty_pewter 0 0 0 0.3000000119 0.3000000119 0 0 0
+( 627 510 128 ) ( 547 510 136 ) ( 627 510 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 802 136 ) ( 524 586 128 ) ( 524 586 136 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 433 572 132 ) ( 513 788 132 ) ( 433 788 132 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 478 526 128 ) ( 398 526 136 ) ( 398 526 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 794 136 ) ( 508 578 128 ) ( 508 794 128 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 522 -57 ) ( 512 526 -57 ) ( 508 522 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 520 526 -57 ) ( 524 522 -57 ) ( 520 526 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 514 -57 ) ( 520 510 -57 ) ( 524 514 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 512 510 -57 ) ( 508 514 -57 ) ( 512 510 71 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 782 139 ) ( 513 782 148 ) ( 508 654 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 519 782 148 ) ( 524 782 139 ) ( 519 654 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -76 510 139 ) ( -76 515 148 ) ( 52 510 139 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( -76 521 148 ) ( -76 526 139 ) ( 52 521 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+}
+// brush 934
+{
+( 525 519 221 ) ( 525 517 221 ) ( 509 519 221 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 524 519 153 ) ( 508 519 153 ) ( 524 519 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 517 519 147 ) ( 517 519 142 ) ( 517 517 147 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 508 517 148 ) ( 524 517 148 ) ( 508 519 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 501 517 148 ) ( 501 517 153 ) ( 517 517 148 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+( 515 517 147 ) ( 515 519 147 ) ( 515 517 152 ) base_trim/dirty_pewter 0 0 0 0.5 0.5 0 0 0
+}
 }
 // entity 1
@@ -9171,2 +9249,20 @@
 "light" "100"
 }
+// entity 66
+{
+"classname" "light"
+"origin" "516 323 128"
+"light" "100"
+}
+// entity 67
+{
+"classname" "light"
+"origin" "516 408 128"
+"light" "100"
+}
+// entity 68
+{
+"classname" "light"
+"origin" "516 518 128"
+"light" "100"
+}