Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4028)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4029)
@@ -2448,9 +2448,11 @@
 ( -33 804 78 ) ( -235 804 78 ) ( -33 824 78 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
 ( 875 814 78 ) ( 875 834 78 ) ( 875 814 48 ) base_trim/tin -72 74 0 0.5 0.5 0 0 0
-( -1672 824 74 ) ( -1672 804 74 ) ( -1470 824 74 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
-( -1652 825 50 ) ( -1652 825 80 ) ( -1652 805 50 ) base_trim/tin -82 74 0 0.5 0.5 0 0 0
+( -33 818 78 ) ( -33 818 48 ) ( -235 818 78 ) base_trim/tin 4 74 0 0.5 0.5 0 0 0
+( -235 824 72 ) ( -235 804 72 ) ( -33 824 72 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
+( -215 825 48 ) ( -215 825 78 ) ( -215 805 48 ) base_trim/tin -82 74 0 0.5 0.5 0 0 0
+( -235 824 48 ) ( -33 824 48 ) ( -235 824 78 ) base_trim/tin 4 74 0 0.5 0.5 0 0 0
 ( -103 820 78 ) ( -103 818 76 ) ( -231 820 78 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
-( -1540 818 76 ) ( -1540 820 74 ) ( -1668 818 76 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
-( -1540 822 74 ) ( -1540 824 76 ) ( -1668 822 74 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
+( -103 818 74 ) ( -103 820 72 ) ( -231 818 74 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
+( -103 822 72 ) ( -103 824 74 ) ( -231 822 72 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
 ( -103 824 76 ) ( -103 822 78 ) ( -231 824 76 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
 }
@@ -2459,9 +2461,11 @@
 ( -33 804 91 ) ( -235 804 91 ) ( -33 824 91 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
 ( 875 814 91 ) ( 875 834 91 ) ( 875 814 61 ) base_trim/tin -72 100 0 0.5 0.5 0 0 0
-( -1672 824 87 ) ( -1672 804 87 ) ( -1470 824 87 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
-( -1652 825 63 ) ( -1652 825 93 ) ( -1652 805 63 ) base_trim/tin -82 100 0 0.5 0.5 0 0 0
+( -33 818 91 ) ( -33 818 61 ) ( -235 818 91 ) base_trim/tin 4 100 0 0.5 0.5 0 0 0
+( -235 824 85 ) ( -235 804 85 ) ( -33 824 85 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
+( -215 825 61 ) ( -215 825 91 ) ( -215 805 61 ) base_trim/tin -82 100 0 0.5 0.5 0 0 0
+( -235 824 61 ) ( -33 824 61 ) ( -235 824 91 ) base_trim/tin 4 100 0 0.5 0.5 0 0 0
 ( -103 820 91 ) ( -103 818 89 ) ( -231 820 91 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
-( -1540 818 89 ) ( -1540 820 87 ) ( -1668 818 89 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
-( -1540 822 87 ) ( -1540 824 89 ) ( -1668 822 87 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
+( -103 818 87 ) ( -103 820 85 ) ( -231 818 87 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
+( -103 822 85 ) ( -103 824 87 ) ( -231 822 85 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
 ( -103 824 89 ) ( -103 822 91 ) ( -231 824 89 ) base_trim/tin 4 82 0 0.5 0.5 0 0 0
 }
@@ -8966,4 +8970,58 @@
 ( 508 832 101 ) ( 508 783 77 ) ( 508 832 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
 }
+// brush 956
+{
+( -282 809 -14 ) ( -272 828 -14 ) ( -272 809 -14 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 832 -2 ) ( -272 813 -24 ) ( -272 813 -2 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 813 -24 ) ( -272 832 -24 ) ( -282 832 -24 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 832 -24 ) ( -282 832 -2 ) ( -282 832 -24 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 832 -2 ) ( -282 813 -24 ) ( -282 832 -24 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -541 818 4 ) ( -669 818 -23 ) ( -669 818 4 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 957
+{
+( -282 820 42 ) ( -272 832 42 ) ( -272 820 42 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 827 17 ) ( -282 827 43 ) ( -272 827 43 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -272 832 42 ) ( -272 820 16 ) ( -272 820 42 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 820 16 ) ( -272 832 16 ) ( -282 832 16 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 832 16 ) ( -282 832 42 ) ( -282 832 16 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 832 42 ) ( -282 820 16 ) ( -282 832 16 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 958
+{
+( -282 811 16 ) ( -272 832 16 ) ( -272 811 16 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 832 16 ) ( -272 811 -3 ) ( -272 811 16 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 832 -14 ) ( -282 818 -14 ) ( -272 818 -14 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 832 -3 ) ( -282 832 16 ) ( -282 832 -3 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 832 16 ) ( -282 811 -3 ) ( -282 832 -3 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -272 827 16 ) ( -272 818 -14 ) ( -282 818 -14 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 959
+{
+( -272 832 61 ) ( -272 819 61 ) ( -282 819 61 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 832 61 ) ( -272 808 42 ) ( -272 808 61 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 808 42 ) ( -272 832 42 ) ( -282 832 42 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 832 42 ) ( -282 832 61 ) ( -282 832 42 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 832 61 ) ( -282 808 42 ) ( -282 832 42 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -272 827 42 ) ( -282 819 61 ) ( -272 819 61 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 960
+{
+( -272 832 77 ) ( -272 807 77 ) ( -282 807 77 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 832 77 ) ( -272 783 61 ) ( -272 783 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 783 61 ) ( -272 832 61 ) ( -282 832 61 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 832 61 ) ( -282 832 77 ) ( -282 832 61 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 832 77 ) ( -282 783 61 ) ( -282 832 61 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 819 61 ) ( -282 807 77 ) ( -272 807 77 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 961
+{
+( -282 780 110 ) ( -272 829 110 ) ( -272 780 110 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 807 78 ) ( -282 807 102 ) ( -272 807 102 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -272 832 101 ) ( -272 783 77 ) ( -272 783 101 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 783 77 ) ( -272 832 77 ) ( -282 832 77 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -272 832 77 ) ( -282 832 101 ) ( -282 832 77 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -282 832 101 ) ( -282 783 77 ) ( -282 832 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+}
 }
 // entity 1