Index: data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4029)
+++ data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4030)
@@ -9024,4 +9024,220 @@
 ( -282 832 101 ) ( -282 783 77 ) ( -282 832 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
 }
+// brush 962
+{
+( -506 705 -14 ) ( -496 724 -14 ) ( -496 705 -14 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 728 -2 ) ( -496 709 -24 ) ( -496 709 -2 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 709 -24 ) ( -496 728 -24 ) ( -506 728 -24 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 728 -24 ) ( -506 728 -2 ) ( -506 728 -24 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 728 -2 ) ( -506 709 -24 ) ( -506 728 -24 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -765 714 4 ) ( -893 714 -23 ) ( -893 714 4 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 963
+{
+( -506 716 42 ) ( -496 728 42 ) ( -496 716 42 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 723 17 ) ( -506 723 43 ) ( -496 723 43 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -496 728 42 ) ( -496 716 16 ) ( -496 716 42 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 716 16 ) ( -496 728 16 ) ( -506 728 16 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 728 16 ) ( -506 728 42 ) ( -506 728 16 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 728 42 ) ( -506 716 16 ) ( -506 728 16 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 964
+{
+( -506 707 16 ) ( -496 728 16 ) ( -496 707 16 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 728 16 ) ( -496 707 -3 ) ( -496 707 16 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 728 -14 ) ( -506 714 -14 ) ( -496 714 -14 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 728 -3 ) ( -506 728 16 ) ( -506 728 -3 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 728 16 ) ( -506 707 -3 ) ( -506 728 -3 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -496 723 16 ) ( -496 714 -14 ) ( -506 714 -14 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 965
+{
+( -496 728 61 ) ( -496 715 61 ) ( -506 715 61 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 728 61 ) ( -496 704 42 ) ( -496 704 61 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 704 42 ) ( -496 728 42 ) ( -506 728 42 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 728 42 ) ( -506 728 61 ) ( -506 728 42 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 728 61 ) ( -506 704 42 ) ( -506 728 42 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -496 723 42 ) ( -506 715 61 ) ( -496 715 61 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 966
+{
+( -496 728 77 ) ( -496 703 77 ) ( -506 703 77 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 728 77 ) ( -496 679 61 ) ( -496 679 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 679 61 ) ( -496 728 61 ) ( -506 728 61 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 728 61 ) ( -506 728 77 ) ( -506 728 61 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 728 77 ) ( -506 679 61 ) ( -506 728 61 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 715 61 ) ( -506 703 77 ) ( -496 703 77 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 967
+{
+( -506 676 110 ) ( -496 725 110 ) ( -496 676 110 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 703 78 ) ( -506 703 102 ) ( -496 703 102 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -496 728 101 ) ( -496 679 77 ) ( -496 679 101 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 679 77 ) ( -496 728 77 ) ( -506 728 77 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -496 728 77 ) ( -506 728 101 ) ( -506 728 77 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -506 728 101 ) ( -506 679 77 ) ( -506 728 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 968
+{
+( -592 705 -14 ) ( -582 724 -14 ) ( -582 705 -14 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 728 -2 ) ( -582 709 -24 ) ( -582 709 -2 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 709 -24 ) ( -582 728 -24 ) ( -592 728 -24 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 728 -24 ) ( -592 728 -2 ) ( -592 728 -24 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 728 -2 ) ( -592 709 -24 ) ( -592 728 -24 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -851 714 4 ) ( -979 714 -23 ) ( -979 714 4 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 969
+{
+( -592 716 42 ) ( -582 728 42 ) ( -582 716 42 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 723 17 ) ( -592 723 43 ) ( -582 723 43 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -582 728 42 ) ( -582 716 16 ) ( -582 716 42 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 716 16 ) ( -582 728 16 ) ( -592 728 16 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 728 16 ) ( -592 728 42 ) ( -592 728 16 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 728 42 ) ( -592 716 16 ) ( -592 728 16 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 970
+{
+( -592 707 16 ) ( -582 728 16 ) ( -582 707 16 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 728 16 ) ( -582 707 -3 ) ( -582 707 16 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 728 -14 ) ( -592 714 -14 ) ( -582 714 -14 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 728 -3 ) ( -592 728 16 ) ( -592 728 -3 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 728 16 ) ( -592 707 -3 ) ( -592 728 -3 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -582 723 16 ) ( -582 714 -14 ) ( -592 714 -14 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 971
+{
+( -582 728 61 ) ( -582 715 61 ) ( -592 715 61 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 728 61 ) ( -582 704 42 ) ( -582 704 61 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 704 42 ) ( -582 728 42 ) ( -592 728 42 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 728 42 ) ( -592 728 61 ) ( -592 728 42 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 728 61 ) ( -592 704 42 ) ( -592 728 42 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -582 723 42 ) ( -592 715 61 ) ( -582 715 61 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 972
+{
+( -582 728 77 ) ( -582 703 77 ) ( -592 703 77 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 728 77 ) ( -582 679 61 ) ( -582 679 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 679 61 ) ( -582 728 61 ) ( -592 728 61 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 728 61 ) ( -592 728 77 ) ( -592 728 61 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 728 77 ) ( -592 679 61 ) ( -592 728 61 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 715 61 ) ( -592 703 77 ) ( -582 703 77 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 973
+{
+( -592 676 110 ) ( -582 725 110 ) ( -582 676 110 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 703 78 ) ( -592 703 102 ) ( -582 703 102 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -582 728 101 ) ( -582 679 77 ) ( -582 679 101 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 679 77 ) ( -582 728 77 ) ( -592 728 77 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -582 728 77 ) ( -592 728 101 ) ( -592 728 77 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -592 728 101 ) ( -592 679 77 ) ( -592 728 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 974
+{
+( -906 705 -14 ) ( -896 724 -14 ) ( -896 705 -14 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 728 -2 ) ( -896 709 -24 ) ( -896 709 -2 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 709 -24 ) ( -896 728 -24 ) ( -906 728 -24 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 728 -24 ) ( -906 728 -2 ) ( -906 728 -24 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 728 -2 ) ( -906 709 -24 ) ( -906 728 -24 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1165 714 4 ) ( -1293 714 -23 ) ( -1293 714 4 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 975
+{
+( -906 716 42 ) ( -896 728 42 ) ( -896 716 42 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 723 17 ) ( -906 723 43 ) ( -896 723 43 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -896 728 42 ) ( -896 716 16 ) ( -896 716 42 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 716 16 ) ( -896 728 16 ) ( -906 728 16 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 728 16 ) ( -906 728 42 ) ( -906 728 16 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 728 42 ) ( -906 716 16 ) ( -906 728 16 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 976
+{
+( -906 707 16 ) ( -896 728 16 ) ( -896 707 16 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 728 16 ) ( -896 707 -3 ) ( -896 707 16 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 728 -14 ) ( -906 714 -14 ) ( -896 714 -14 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 728 -3 ) ( -906 728 16 ) ( -906 728 -3 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 728 16 ) ( -906 707 -3 ) ( -906 728 -3 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -896 723 16 ) ( -896 714 -14 ) ( -906 714 -14 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 977
+{
+( -896 728 61 ) ( -896 715 61 ) ( -906 715 61 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 728 61 ) ( -896 704 42 ) ( -896 704 61 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 704 42 ) ( -896 728 42 ) ( -906 728 42 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 728 42 ) ( -906 728 61 ) ( -906 728 42 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 728 61 ) ( -906 704 42 ) ( -906 728 42 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -896 723 42 ) ( -906 715 61 ) ( -896 715 61 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 978
+{
+( -896 728 77 ) ( -896 703 77 ) ( -906 703 77 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 728 77 ) ( -896 679 61 ) ( -896 679 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 679 61 ) ( -896 728 61 ) ( -906 728 61 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 728 61 ) ( -906 728 77 ) ( -906 728 61 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 728 77 ) ( -906 679 61 ) ( -906 728 61 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 715 61 ) ( -906 703 77 ) ( -896 703 77 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 979
+{
+( -906 676 110 ) ( -896 725 110 ) ( -896 676 110 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 703 78 ) ( -906 703 102 ) ( -896 703 102 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -896 728 101 ) ( -896 679 77 ) ( -896 679 101 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 679 77 ) ( -896 728 77 ) ( -906 728 77 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -896 728 77 ) ( -906 728 101 ) ( -906 728 77 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -906 728 101 ) ( -906 679 77 ) ( -906 728 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 980
+{
+( -1032 705 -14 ) ( -1022 724 -14 ) ( -1022 705 -14 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 -2 ) ( -1022 709 -24 ) ( -1022 709 -2 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 709 -24 ) ( -1022 728 -24 ) ( -1032 728 -24 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 -24 ) ( -1032 728 -2 ) ( -1032 728 -24 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 728 -2 ) ( -1032 709 -24 ) ( -1032 728 -24 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1291 714 4 ) ( -1419 714 -23 ) ( -1419 714 4 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 981
+{
+( -1032 716 42 ) ( -1022 728 42 ) ( -1022 716 42 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 723 17 ) ( -1032 723 43 ) ( -1022 723 43 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 42 ) ( -1022 716 16 ) ( -1022 716 42 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 716 16 ) ( -1022 728 16 ) ( -1032 728 16 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 16 ) ( -1032 728 42 ) ( -1032 728 16 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 728 42 ) ( -1032 716 16 ) ( -1032 728 16 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 982
+{
+( -1032 707 16 ) ( -1022 728 16 ) ( -1022 707 16 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 16 ) ( -1022 707 -3 ) ( -1022 707 16 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 728 -14 ) ( -1032 714 -14 ) ( -1022 714 -14 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 -3 ) ( -1032 728 16 ) ( -1032 728 -3 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 728 16 ) ( -1032 707 -3 ) ( -1032 728 -3 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1022 723 16 ) ( -1022 714 -14 ) ( -1032 714 -14 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 983
+{
+( -1022 728 61 ) ( -1022 715 61 ) ( -1032 715 61 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 61 ) ( -1022 704 42 ) ( -1022 704 61 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 704 42 ) ( -1022 728 42 ) ( -1032 728 42 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 42 ) ( -1032 728 61 ) ( -1032 728 42 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 728 61 ) ( -1032 704 42 ) ( -1032 728 42 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1022 723 42 ) ( -1032 715 61 ) ( -1022 715 61 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 984
+{
+( -1022 728 77 ) ( -1022 703 77 ) ( -1032 703 77 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 77 ) ( -1022 679 61 ) ( -1022 679 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 679 61 ) ( -1022 728 61 ) ( -1032 728 61 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 61 ) ( -1032 728 77 ) ( -1032 728 61 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 728 77 ) ( -1032 679 61 ) ( -1032 728 61 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 715 61 ) ( -1032 703 77 ) ( -1022 703 77 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+}
+// brush 985
+{
+( -1032 676 110 ) ( -1022 725 110 ) ( -1022 676 110 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 703 78 ) ( -1032 703 102 ) ( -1022 703 102 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 101 ) ( -1022 679 77 ) ( -1022 679 101 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 679 77 ) ( -1022 728 77 ) ( -1032 728 77 ) base_trim/dirty_pewter_big 154 -47 0 0.200000003 -0.200000003 0 0 0
+( -1022 728 77 ) ( -1032 728 101 ) ( -1032 728 77 ) base_trim/dirty_pewter_big 154 -22 0 0.200000003 -0.200000003 0 0 0
+( -1032 728 101 ) ( -1032 679 77 ) ( -1032 728 77 ) base_trim/dirty_pewter_big -27 -22 0 0.200000003 -0.200000003 0 0 0
+}
 }
 // entity 1