Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4030)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4031)
@@ -299,10 +299,10 @@
 // brush 32
 {
-( -160 840 -24 ) ( -160 624 -24 ) ( -424 840 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -168 840 56 ) ( -432 840 56 ) ( -168 840 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -168 840 56 ) ( -168 840 -32 ) ( -168 624 56 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -432 624 -32 ) ( -168 624 -32 ) ( -432 840 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -432 512 -32 ) ( -432 512 56 ) ( -168 512 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -592 632 -32 ) ( -592 848 -32 ) ( -592 632 56 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -160 840 -24 ) ( -160 624 -24 ) ( -424 840 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -168 840 56 ) ( -432 840 56 ) ( -168 840 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -168 840 56 ) ( -168 840 -32 ) ( -168 624 56 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -432 624 -32 ) ( -168 624 -32 ) ( -432 840 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -432 512 -32 ) ( -432 512 56 ) ( -168 512 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 632 -32 ) ( -592 848 -32 ) ( -592 632 56 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 33
@@ -335,10 +335,10 @@
 // brush 36
 {
-( -592 712 -24 ) ( -592 504 -24 ) ( -656 712 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -592 728 -24 ) ( -656 728 -24 ) ( -592 728 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -592 704 -24 ) ( -592 704 -32 ) ( -592 496 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -656 504 -32 ) ( -592 504 -32 ) ( -656 712 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -712 648 0 ) ( -712 648 8 ) ( -648 648 0 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 504 -32 ) ( -896 712 -32 ) ( -896 504 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 712 -24 ) ( -592 504 -24 ) ( -656 712 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 728 -24 ) ( -656 728 -24 ) ( -592 728 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 704 -24 ) ( -592 704 -32 ) ( -592 496 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -656 504 -32 ) ( -592 504 -32 ) ( -656 712 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -712 648 0 ) ( -712 648 8 ) ( -648 648 0 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 504 -32 ) ( -896 712 -32 ) ( -896 504 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 37
@@ -353,51 +353,51 @@
 // brush 38
 {
-( -592 568 -24 ) ( -592 360 -24 ) ( -656 568 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -448 592 -24 ) ( -512 592 -24 ) ( -448 592 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -592 576 -24 ) ( -592 576 -32 ) ( -592 368 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -656 360 -32 ) ( -592 360 -32 ) ( -656 568 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -720 512 0 ) ( -720 512 8 ) ( -656 512 0 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 376 -32 ) ( -896 584 -32 ) ( -896 376 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 568 -24 ) ( -592 360 -24 ) ( -656 568 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -448 592 -24 ) ( -512 592 -24 ) ( -448 592 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 576 -24 ) ( -592 576 -32 ) ( -592 368 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -656 360 -32 ) ( -592 360 -32 ) ( -656 568 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -720 512 0 ) ( -720 512 8 ) ( -656 512 0 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 376 -32 ) ( -896 584 -32 ) ( -896 376 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 39
 {
-( -592 616 -24 ) ( -592 592 -24 ) ( -656 616 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -592 616 -24 ) ( -592 616 -32 ) ( -592 592 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -656 592 -32 ) ( -592 592 -32 ) ( -656 616 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -656 592 -32 ) ( -656 592 -24 ) ( -592 592 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -624 592 -64 ) ( -592 616 -64 ) ( -624 592 64 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 616 -24 ) ( -592 592 -24 ) ( -656 616 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 616 -24 ) ( -592 616 -32 ) ( -592 592 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -656 592 -32 ) ( -592 592 -32 ) ( -656 616 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -656 592 -32 ) ( -656 592 -24 ) ( -592 592 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -624 592 -64 ) ( -592 616 -64 ) ( -624 592 64 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 40
 {
-( -592 648 -24 ) ( -592 624 -24 ) ( -656 648 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -592 648 -24 ) ( -656 648 -24 ) ( -592 648 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -592 648 -24 ) ( -592 648 -32 ) ( -592 624 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -656 624 -32 ) ( -592 624 -32 ) ( -656 648 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -592 624 -64 ) ( -624 648 -64 ) ( -592 624 64 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 648 -24 ) ( -592 624 -24 ) ( -656 648 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 648 -24 ) ( -656 648 -24 ) ( -592 648 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 648 -24 ) ( -592 648 -32 ) ( -592 624 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -656 624 -32 ) ( -592 624 -32 ) ( -656 648 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -592 624 -64 ) ( -624 648 -64 ) ( -592 624 64 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 41
 {
-( -896 736 -24 ) ( -896 520 -24 ) ( -1040 736 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 728 -24 ) ( -1040 728 -24 ) ( -896 728 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 736 -24 ) ( -896 736 -32 ) ( -896 520 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1040 520 -32 ) ( -896 520 -32 ) ( -1040 736 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1040 512 -32 ) ( -1040 512 -24 ) ( -896 512 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1032 521 -32 ) ( -1032 737 -32 ) ( -1032 521 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 736 -24 ) ( -896 520 -24 ) ( -1040 736 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 728 -24 ) ( -1040 728 -24 ) ( -896 728 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 736 -24 ) ( -896 736 -32 ) ( -896 520 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1040 520 -32 ) ( -896 520 -32 ) ( -1040 736 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1040 512 -32 ) ( -1040 512 -24 ) ( -896 512 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1032 521 -32 ) ( -1032 737 -32 ) ( -1032 521 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 42
 {
-( -896 624 -24 ) ( -896 648 -24 ) ( -832 624 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 624 -24 ) ( -896 624 -32 ) ( -896 648 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -832 648 -32 ) ( -896 648 -32 ) ( -832 624 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -832 648 -32 ) ( -832 648 -24 ) ( -896 648 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -864 648 -64 ) ( -896 624 -64 ) ( -864 648 64 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 624 -24 ) ( -896 648 -24 ) ( -832 624 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 624 -24 ) ( -896 624 -32 ) ( -896 648 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -832 648 -32 ) ( -896 648 -32 ) ( -832 624 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -832 648 -32 ) ( -832 648 -24 ) ( -896 648 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -864 648 -64 ) ( -896 624 -64 ) ( -864 648 64 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 43
 {
-( -896 592 -24 ) ( -896 616 -24 ) ( -832 592 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 592 -24 ) ( -832 592 -24 ) ( -896 592 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 592 -24 ) ( -896 592 -32 ) ( -896 616 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -832 616 -32 ) ( -896 616 -32 ) ( -832 592 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -896 616 -64 ) ( -864 592 -64 ) ( -896 616 64 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 592 -24 ) ( -896 616 -24 ) ( -832 592 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 592 -24 ) ( -832 592 -24 ) ( -896 592 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 592 -24 ) ( -896 592 -32 ) ( -896 616 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -832 616 -32 ) ( -896 616 -32 ) ( -832 592 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -896 616 -64 ) ( -864 592 -64 ) ( -896 616 64 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 44
@@ -412,11 +412,11 @@
 // brush 45
 {
-( -1032 840 -24 ) ( -1032 624 -24 ) ( -1296 840 -24 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1040 840 56 ) ( -1304 840 56 ) ( -1040 840 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1032 841 56 ) ( -1032 841 -32 ) ( -1032 625 56 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1304 624 -32 ) ( -1040 624 -32 ) ( -1304 840 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1304 504 -32 ) ( -1304 504 56 ) ( -1040 504 -32 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1464 624 -32 ) ( -1464 840 -32 ) ( -1464 624 56 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -1080 504 -64 ) ( -1464 696 -64 ) ( -1080 504 64 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1032 840 -24 ) ( -1032 624 -24 ) ( -1296 840 -24 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1040 840 56 ) ( -1304 840 56 ) ( -1040 840 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1032 841 56 ) ( -1032 841 -32 ) ( -1032 625 56 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1304 624 -32 ) ( -1040 624 -32 ) ( -1304 840 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1304 504 -32 ) ( -1304 504 56 ) ( -1040 504 -32 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1464 624 -32 ) ( -1464 840 -32 ) ( -1464 624 56 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -1080 504 -64 ) ( -1464 696 -64 ) ( -1080 504 64 ) base_floor/clang_floor2 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 46