Index: data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4031)
+++ data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4032)
@@ -7026,5 +7026,5 @@
 ( -592 728 128 ) ( -656 728 128 ) ( -592 728 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 704 128 ) ( -592 704 120 ) ( -592 496 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -664 504 120 ) ( -600 504 120 ) ( -664 712 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -664 504 120 ) ( -600 504 120 ) ( -664 712 120 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -712 648 152 ) ( -712 648 160 ) ( -648 648 152 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -904 504 120 ) ( -904 712 120 ) ( -904 504 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
@@ -7035,5 +7035,5 @@
 ( -448 592 128 ) ( -512 592 128 ) ( -448 592 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 576 128 ) ( -592 576 120 ) ( -592 368 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -664 360 120 ) ( -600 360 120 ) ( -664 568 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -664 360 120 ) ( -600 360 120 ) ( -664 568 120 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -728 512 152 ) ( -728 512 160 ) ( -664 512 152 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -904 376 120 ) ( -904 584 120 ) ( -904 376 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
@@ -7043,5 +7043,5 @@
 ( -600 616 128 ) ( -600 592 128 ) ( -664 616 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 616 128 ) ( -592 616 120 ) ( -592 592 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -664 592 120 ) ( -600 592 120 ) ( -664 616 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -664 592 120 ) ( -600 592 120 ) ( -664 616 120 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -656 592 120 ) ( -656 592 128 ) ( -592 592 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -624 592 88 ) ( -592 616 88 ) ( -624 592 216 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
@@ -7052,6 +7052,6 @@
 ( -592 648 128 ) ( -656 648 128 ) ( -592 648 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -592 648 128 ) ( -592 648 120 ) ( -592 624 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -664 624 120 ) ( -600 624 120 ) ( -664 648 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -600 624 88 ) ( -632 648 88 ) ( -600 624 216 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -664 624 120 ) ( -600 624 120 ) ( -664 648 120 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -596 627 88 ) ( -628 651 88 ) ( -596 627 216 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
 // brush 750
@@ -7059,5 +7059,5 @@
 ( -904 624 128 ) ( -904 648 128 ) ( -840 624 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -904 624 128 ) ( -904 624 120 ) ( -904 648 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -840 648 120 ) ( -904 648 120 ) ( -840 624 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -840 648 120 ) ( -904 648 120 ) ( -840 624 120 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -832 648 120 ) ( -832 648 128 ) ( -896 648 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -864 648 88 ) ( -896 624 88 ) ( -864 648 216 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
@@ -7068,5 +7068,5 @@
 ( -896 592 128 ) ( -832 592 128 ) ( -896 592 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -904 592 128 ) ( -904 592 120 ) ( -904 616 128 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
-( -840 616 120 ) ( -904 616 120 ) ( -840 592 120 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
+( -840 616 120 ) ( -904 616 120 ) ( -840 592 120 ) base_wall/basewall04 0 0 0 0.3000000119 0.3000000119 0 0 0
 ( -896 616 88 ) ( -864 592 88 ) ( -896 616 216 ) base_floor/clang_floor3b 0 0 0 0.3000000119 0.3000000119 0 0 0
 }
@@ -9501,5 +9501,5 @@
 {
 "classname" "light"
-"origin" "-893 682 65.5"
+"origin" "-878 619 -24.5"
 "light" "100"
 "_light;light" "100"
@@ -9509,5 +9509,5 @@
 {
 "classname" "light"
-"origin" "-735 682 65.5"
+"origin" "-747 680 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9800,2 +9800,58 @@
 "light" "100"
 }
+// entity 80
+{
+"classname" "light"
+"origin" "-611 620 -24.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 81
+{
+"classname" "light"
+"origin" "-882 619 123.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 82
+{
+"classname" "light"
+"origin" "-615 620 123.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 83
+{
+"classname" "light"
+"origin" "-880 619 275.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 84
+{
+"classname" "light"
+"origin" "-613 620 275.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 85
+{
+"classname" "light"
+"origin" "-882 619 -180.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 86
+{
+"classname" "light"
+"origin" "-615 620 -180.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}