Index: /data/branches/single_player_map/worlds/single_player_proto_world_01.map
===================================================================
--- /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4032)
+++ /data/branches/single_player_map/worlds/single_player_proto_world_01.map	(revision 4033)
@@ -9493,5 +9493,5 @@
 {
 "classname" "light"
-"origin" "-624 677 65.5"
+"origin" "-624 698 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9509,5 +9509,5 @@
 {
 "classname" "light"
-"origin" "-747 680 65.5"
+"origin" "-747 701 65.5"
 "light" "100"
 "_light;light" "100"
@@ -9549,20 +9549,4 @@
 {
 "classname" "light"
-"origin" "-942 621 -131.5"
-"light" "100"
-"_light;light" "100"
-"_sun" "1"
-}
-// entity 45
-{
-"classname" "light"
-"origin" "-572 621 -131.5"
-"light" "100"
-"_light;light" "100"
-"_sun" "1"
-}
-// entity 46
-{
-"classname" "light"
 "origin" "-942 621 -301.5"
 "light" "100"
@@ -9570,5 +9554,5 @@
 "_sun" "1"
 }
-// entity 47
+// entity 45
 {
 "classname" "light"
@@ -9578,5 +9562,5 @@
 "_sun" "1"
 }
-// entity 48
+// entity 46
 {
 "classname" "light"
@@ -9586,5 +9570,5 @@
 "_sun" "1"
 }
-// entity 49
+// entity 47
 {
 "classname" "light"
@@ -9594,5 +9578,5 @@
 "_sun" "1"
 }
-// entity 50
+// entity 48
 {
 "classname" "light"
@@ -9602,5 +9586,5 @@
 "_sun" "1"
 }
-// entity 51
+// entity 49
 {
 "classname" "light"
@@ -9610,5 +9594,5 @@
 "_sun" "1"
 }
-// entity 52
+// entity 50
 {
 "classname" "light"
@@ -9618,5 +9602,5 @@
 "_sun" "1"
 }
-// entity 53
+// entity 51
 {
 "classname" "light"
@@ -9626,5 +9610,5 @@
 "_sun" "1"
 }
-// entity 54
+// entity 52
 {
 "classname" "light"
@@ -9634,5 +9618,5 @@
 "_sun" "1"
 }
-// entity 55
+// entity 53
 {
 "classname" "light"
@@ -9642,5 +9626,5 @@
 "_sun" "1"
 }
-// entity 56
+// entity 54
 {
 "classname" "light"
@@ -9650,5 +9634,5 @@
 "_sun" "1"
 }
-// entity 57
+// entity 55
 {
 "classname" "light"
@@ -9658,5 +9642,5 @@
 "_sun" "1"
 }
-// entity 58
+// entity 56
 {
 "classname" "light"
@@ -9666,5 +9650,5 @@
 "_sun" "1"
 }
-// entity 59
+// entity 57
 {
 "classname" "light"
@@ -9674,5 +9658,5 @@
 "_sun" "1"
 }
-// entity 60
+// entity 58
 {
 "classname" "light"
@@ -9682,5 +9666,5 @@
 "_sun" "1"
 }
-// entity 61
+// entity 59
 {
 "classname" "light"
@@ -9690,5 +9674,5 @@
 "_sun" "1"
 }
-// entity 62
+// entity 60
 {
 "classname" "light"
@@ -9698,5 +9682,5 @@
 "_sun" "1"
 }
-// entity 63
+// entity 61
 {
 "classname" "light"
@@ -9704,5 +9688,5 @@
 "light" "100"
 }
-// entity 64
+// entity 62
 {
 "classname" "light"
@@ -9710,5 +9694,5 @@
 "light" "100"
 }
-// entity 65
+// entity 63
 {
 "classname" "light"
@@ -9716,5 +9700,5 @@
 "light" "100"
 }
-// entity 66
+// entity 64
 {
 "classname" "light"
@@ -9722,5 +9706,5 @@
 "light" "100"
 }
-// entity 67
+// entity 65
 {
 "classname" "light"
@@ -9728,5 +9712,5 @@
 "light" "100"
 }
-// entity 68
+// entity 66
 {
 "classname" "light"
@@ -9734,5 +9718,5 @@
 "light" "100"
 }
-// entity 69
+// entity 67
 {
 "classname" "light"
@@ -9740,5 +9724,5 @@
 "light" "100"
 }
-// entity 70
+// entity 68
 {
 "classname" "light"
@@ -9746,5 +9730,5 @@
 "light" "100"
 }
-// entity 71
+// entity 69
 {
 "classname" "light"
@@ -9752,5 +9736,5 @@
 "light" "100"
 }
-// entity 72
+// entity 70
 {
 "classname" "light"
@@ -9758,5 +9742,5 @@
 "light" "100"
 }
-// entity 73
+// entity 71
 {
 "classname" "light"
@@ -9764,5 +9748,5 @@
 "light" "100"
 }
-// entity 74
+// entity 72
 {
 "classname" "light"
@@ -9770,5 +9754,5 @@
 "light" "100"
 }
-// entity 75
+// entity 73
 {
 "classname" "light"
@@ -9776,5 +9760,5 @@
 "light" "100"
 }
-// entity 76
+// entity 74
 {
 "classname" "light"
@@ -9782,5 +9766,5 @@
 "light" "100"
 }
-// entity 77
+// entity 75
 {
 "classname" "light"
@@ -9788,5 +9772,5 @@
 "light" "100"
 }
-// entity 78
+// entity 76
 {
 "classname" "light"
@@ -9794,5 +9778,5 @@
 "light" "100"
 }
-// entity 79
+// entity 77
 {
 "classname" "light"
@@ -9800,5 +9784,5 @@
 "light" "100"
 }
-// entity 80
+// entity 78
 {
 "classname" "light"
@@ -9808,5 +9792,5 @@
 "_sun" "1"
 }
-// entity 81
+// entity 79
 {
 "classname" "light"
@@ -9816,5 +9800,5 @@
 "_sun" "1"
 }
-// entity 82
+// entity 80
 {
 "classname" "light"
@@ -9824,5 +9808,5 @@
 "_sun" "1"
 }
-// entity 83
+// entity 81
 {
 "classname" "light"
@@ -9832,5 +9816,5 @@
 "_sun" "1"
 }
-// entity 84
+// entity 82
 {
 "classname" "light"
@@ -9840,5 +9824,5 @@
 "_sun" "1"
 }
-// entity 85
+// entity 83
 {
 "classname" "light"
@@ -9848,5 +9832,5 @@
 "_sun" "1"
 }
-// entity 86
+// entity 84
 {
 "classname" "light"
@@ -9856,2 +9840,34 @@
 "_sun" "1"
 }
+// entity 85
+{
+"classname" "light"
+"origin" "-862 699 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 86
+{
+"classname" "light"
+"origin" "-622 531 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 87
+{
+"classname" "light"
+"origin" "-745 534 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}
+// entity 88
+{
+"classname" "light"
+"origin" "-860 532 65.5"
+"light" "100"
+"_light;light" "100"
+"_sun" "1"
+}